We are currently planning to migrate to a different platform for the forum. We will announce this fact both here and on Twitter, once we have settled on a solution.

Error while update to 1.7

Hi everyone,

I just tried to update zettlr 1.6 to 1.7. After running "$ brew cask install Zettlr" in my terminal, it says: "Error: It seems there is already an App at '/Applications/Zettlr.app'." Do I have to chose another code for 1.6 is already installed?

Best,
B

Comments

  • Well, it's the same app but a different version, so the command you're looking for is *looks it up* … ah, apparently you have to "reinstall" the cask:

    $ brew cask reinstall Zettlr
    

    This might work!

  • Perfect, thank you very much!!

  • The correct way (for other users) would be:

    $ brew cask upgrade Zettlr

  • How do I update Zettlr on Windows? Do I first have to uninstall the current version or should I just execute the installer again?

  • Do I first have to uninstall the current version or should I just execute the installer again?

    Simply run the newer installer, it'll automatically replace all necessary files and update the app!

Sign In or Register to comment.